@import url('https://fonts.googleapis.com/css?family=Numans');

html, body {
	margin: 0;
	padding: 0;
	font: unset !important;
	font-family: 'Numans', sans-serif !important;
	line-height: 1.5 !important;
}

button, label.btn, a.btn {
	color: #fff;
	background-color: #314c9e;
	cursor: pointer;
	outline: 0;
	border: 2px solid #314c9e;
}

button.disabled {
	pointer-events: none;
}

.loading-overlay {
	height: 100vh;
  width: 100%;
  position: fixed;
  background: rgba(0,0,0,0.9);
  z-index: 1060;
  display: flex;
  align-items: center;
  justify-content: center;
}

.loading-overlay i {
	font-size: 40px;
	color: #fff;
}

.main-content {
	min-height: calc(100vh - 224px);
}

body.skinned {
	min-height: 100vh;
	background-position: center !important;
	background-repeat: no-repeat !important;
	background-size: cover !important;
	background-attachment: fixed !important;
}

body.skinned:before {
	content: '';
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.3);
  z-index: -1;
}

.navbar-wrapper {
	box-shadow: 1px 1px 8px #e1e1e1;
	/*margin-bottom: 50px;*/
	position: relative;
}

body.skinned .navbar-wrapper {
	background: transparent !important;
}

.navbar-brand img {
	width: 169px;
}

.form-wrapper {
	padding: 20px;
    box-shadow: 1px 1px 8px #eee;
    width: 400px;
    max-width: 100%;
}

.navbar-wrapper .percentages-div {
	position: absolute;
	top: 116px;
}


/* The container */
.radio-container {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default radio button */
.radio-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

/* Create a custom radio button */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  background-color: #eee;
  border-radius: 50%;
}

/* On mouse-over, add a grey background color */
.radio-container:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the radio button is checked, add a blue background */
.radio-container input:checked ~ .checkmark {
  background-color: #2196F3;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the indicator (dot/circle) when checked */
.radio-container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the indicator (dot/circle) */
.radio-container .checkmark:after {
 	top: 9px;
	left: 9px;
	width: 8px;
	height: 8px;
	border-radius: 50%;
	background: white;
}

.tabbed-pane-controls {
	font-size: 27px;
	visibility: hidden;
}

.tabbed-pane-body>.tab {
	display: none;
}

.tabbed-pane-body>.tab:first-child {
	display: block;
}

.back-tab-btn {
	cursor: pointer;
}

.problem-wrapper {
	box-shadow: 1px 1px 8px #eee;
	padding: 20px;
	margin-bottom: 30px;
}

.answer-wrapper {
	box-shadow: 1px 1px 8px #eee;
  	padding: 20px;
}

.answerTextareaWrapper {
	margin-bottom: 20px;
}

#answerTextarea {
	width: 100%;
	outline: 0;
	border: 1px solid #d1d1d1;
	padding: 20px;
	margin-bottom: 10px;
}

#problems-section .math-tex {
	margin-left: 4px;
	margin-right: 4px;
}

#problems-section {
	position: relative;
}

#problems-section>.options-section {
	display: flex;
    align-items: center;
    justify-content: flex-end;
	gap: 10px;
	margin-bottom: 8px;
}

#problems-section>.options-section>.timer-section {
	font-size: 18px;
	font-weight: bold;
	color: #8d8d8d;
}

#problems-section>.options-section>.timer-section #problem-timer {
	display: block;
	width: 60px;
}

.medals-tray .medal-icon {
	margin-right: 5px;
}

.game-wrapper {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.7);
	z-index: 1060;
}

#problems-table td img {
	height: auto !important;
	max-width: 70px;
}

.game-tile {
	margin-bottom: 20px;
}
.game-tile img {
	width: 100%;
	cursor: pointer;
}

#workSheetPrintLink {
	position: relative;
}
#workSheetPrintLinkCounter, #testBasketLinkCounter {
	position: absolute;
	top: 16px;
	left: 25px;
	background: #314c9e;
	color: #fff;
	border-radius: 50%;
	width: 14px;
	height: 14px;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 8px;
}

.in-row-actions-table td {
	padding-bottom: 30px;
}

.table-row-actions-group {
	position: absolute;
	bottom: 3px;
	display: flex;
	white-space: nowrap;
	margin-bottom: 3px;
}

.table-row-actions-group>span {
	cursor: pointer;
	padding: 0 6px;
	display: inline-block;
	font-size: 13px;
	color: #3d87df;
}
.table-row-actions-group .separator {
	color: #ccc;
}
.table-row-actions-group>span:hover {
	color: #1e5da9;
	transition: 0.2s;
}

.toggle.android { 
	border-radius: 0px;
}
.toggle.android .toggle-handle { 
	border-radius: 0px;
}

.modal-body {
	color: #333;
}

.bs-modal.modal {
	background-color: transparent !important;
	max-width: none !important;
	transform: none !important;
	width: unset !important;
  top: 0 !important;
}

#answerTextarea:disabled {
	background: #dcdcdc !important;
}

@media screen and (max-width: 767px) {
	.navbar-brand img {
		width: 190px;
	}
	.navbar-wrapper .percentages-div {
		top: 97px;
	}
}
@media screen and (max-width: 500px) {
	.navbar-brand img {
	    width: 210px;
	    image-rendering: -webkit-optimize-contrast;
	}
}

@media screen and (max-width: 420px) {
	.navbar-brand img {
	    width: 170px;
	}
}

.toggle.btn-info {
	border-color: #314c9e !important;
}

.toggle .toggle-group .btn.btn-info.toggle-on {
	background-color: #314c9e !important;
	border-color: #314c9e !important;
}

.toggle .toggle-group .btn.btn-light.toggle-off {
	background-color: #e2e6ea !important;
  border-color: #dae0e5 !important;
  color: #212529 !important;
}

#drawingToolWrapper {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 999999;
	display: none;
}
#drawingToolWrapper .drawing-tool-header {
	background-color: rgba(255, 255, 255, 0.9);
	padding: 10px;
	display: flex;
	align-items: center;
	justify-content: space-between;
	font-size: 14px;
	user-select: none;
}
.drawing-tool-body {
	height: calc(100vh - 44.4px);
	cursor: crosshair;
}
.drawing-tool-body>canvas {
	height: 100%;
	width: 100%;
}